List job applications
curl --request GET \
--url https://rxresu.me/api/openapi/applications \
--header 'x-api-key: <api-key>'import requests
url = "https://rxresu.me/api/openapi/applications"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rxresu.me/api/openapi/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"company": "<string>",
"role": "<string>",
"location": "<string>",
"salary": "<string>",
"status": "saved",
"archived": true,
"resumeId": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"sourceUrl": "<string>",
"jobDescription": "<string>",
"matchScore": 50,
"aiMetadata": {},
"notes": "<string>",
"resumeFileUrl": "<string>",
"resumeFileName": "<string>",
"coverLetterUrl": "<string>",
"coverLetterName": "<string>",
"followUpAt": "2023-11-07T05:31:56Z",
"followUpNote": "<string>",
"contacts": [
{
"name": "<string>",
"role": "",
"type": ""
}
],
"activity": [
{
"id": "<string>",
"at": "2023-11-07T05:31:56Z",
"type": "stage",
"stage": "saved"
}
],
"appliedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Applications
List job applications
Returns all job applications belonging to the authenticated user, most recently updated first. Archived applications are excluded unless includeArchived is set. Optionally filter by pipeline stage. Requires authentication.
GET
/
applications
List job applications
Authorizations
The API key to authenticate requests.
Query Parameters
Available options:
saved, applied, screening, interview, offer, rejected Response
200 - application/json
A list of the user's job applications.
The ID of the application.
The company applied to.
Minimum string length:
1The role / job title.
Minimum string length:
1The current pipeline stage.
Available options:
saved, applied, screening, interview, offer, rejected The linked Reactive Resume, if any.
Maximum string length:
20000Required range:
0 <= x <= 100Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes